C      Outline of FORTRAN routine to read chan#.dat files
C
       SUBROUTINE RDCHAN(IOUN, FILENAM, IDCHAN, NPROF, NOFF, NANG, NLEV,
     $    FREQ, ANGLES, LEVELS, RAD)
C
C      Array dimension parameters
       INTEGER MAXPRF  ! max number of profiles
       INTEGER MAXOFF  ! max number of freq offsets
       INTEGER MAXANG  ! max number of angles
       INTEGER MAXLEV  ! max number of levels
       PARAMETER( MAXPRF=48 )
       PARAMETER( MAXOFF=5 )
       PARAMETER( MAXANG=45 )
       PARAMETER( MAXLEV=7 )

C      Input variables:
       INTEGER IOUN  ! I/O (input) unit number
       CHARACTER*79 FILENAM  ! name of file to read
C
C      Output variables:
       INTEGER IDCHAN  ! channel ID number (0 - 2377)
       INTEGER NPROF   ! number of profiles
       INTEGER NOFF    ! number of freq offsets
       INTEGER NANG    ! number of angles
       INTEGER NLEV    ! number of levels
       DOUBLE PRECISION FREQ(MAXOFF)    ! channel freq (cm^-1)
       DOUBLE PRECISION ANGLES(MAXANG)  ! angles (degrees)
       DOUBLE PRECISION LEVELS(MAXLEV)  ! pressure levels (mb)
       REAL RAD(MAXLEV,MAXANG,MAXPRF,MAXOFF)  ! radiance (W/(m^2*srad*cm^-1))
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C      Local variables
       INTEGER IPROF
       INTEGER IOFF
       INTEGER IANG
       INTEGER ILEV
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C      Open the file
       OPEN(UNIT=IOUN, FILE=FILENAM, FORM='UNFORMATTED', STATUS='OLD')
C
C      Read chan id, nprof, noff, nang, nlev
       READ(IOUN) IDCHAN, NPROF, NOFF, NANG, NLEV
C
C      Read freq, angles, levels
       READ(IOUN) (FREQ(IOFF),IOFF=1,NOFF), (ANGLES(IANG),IANG=1,NANG),
     $    (LEVELS(ILEV),ILEV=1,NLEV)
C
C      Read in the radiance data
C      Loop over profile
       DO IPROF=1,NPROF
C
C         Loop over the freq offsets
          DO IOFF=1,NOFF
             READ(IOUN) ((RAD(ILEV,IANG,IPROF,IOFF),ILEV=1,NLEV),
     $          IANG=1,NANG)
          ENDDO
       ENDDO
C
       CLOSE(IOUN)
C
       RETURN
       END
